Setting Up An Android App Build Environment With Eclipse, Android SDK, PhoneGap (Ubuntu 11.04) - Page 2

Want to support HowtoForge? Become a subscriber!
 
Submitted by falko (Contact Author) (Forums) on Sun, 2011-06-26 18:23. ::

4 Integrating The Android SDK Into Eclipse

If you want to use Eclipse to create your Android apps instead of the command line, you need to integrate the Android SDK into Eclipse. To do this, start Eclipse (Applications > Programming > Eclipse):

Click on OK if you see the Workspace Launcher window (you can check the Use this as the default and do not ask again checkbox to not see this message anymore):

Now in Eclipse, go to Help > Install New Software...:

The Available Software window opens. Click on the Add... button:

A small Add Site window opens. Fill in the following values and click on OK:

  • Name: ADT Plugin
  • Location: https://dl-ssl.google.com/android/eclipse/

Back in the Available Software window, you should now see the software Developer Tools. Select that software and click on Next >:

In the next window, click on Next > again:

Now accept the license agreements and click on Finish:

The packages needed to integrate the Android SDK into Eclipse are now being downloaded and installed:

If you see the following message about unsigned content, it's ok to click on the OK button:

At the end of the installation, Eclipse needs to be restarted. To do this, click on Yes:

Now there's one final step to complete the Android SDK integration in Eclipse: Go to Window > Preferences:

In the Preferences window, select Android in the left panel, and then click on the Browse... button that belongs to the SDK Location field in the right panel:

Select the directory where the Android SDK is located (it's android-sdk-linux_x86 in your home directory) and click on OK:

Back in the Preferences window, click on Apply (you should then see the supported Android versions in the Target Name column)...

... and then on OK:


Please do not use the comment function to ask for help! If you need help, please use our forum.
Comments will be published after administrator approval.
Submitted by Anonymous (not registered) on Mon, 2011-11-07 13:53.

when i come to 7th image it shows following error:

Cannot complete the install because one or more required items could not be found. Software being installed: Android Development Tools 15.0.0.v201110251216-213216 (com.android.ide.eclipse.adt.feature.group 15.0.0.v201110251216-213216) Missing requirement: Android Development Tools 15.0.0.v201110251216-213216 (com.android.ide.eclipse.adt.feature.group 15.0.0.v201110251216-213216) requires 'org.eclipse.wst.sse.core 0.0.0' but it could not be found.

"i have installed Java and sdk"

Submitted by Anonymous (not registered) on Thu, 2011-11-10 13:23.

You probably are using a newer version of Eclipse (3.7 Indigo or higher) Try this:

To get around the org.eclipse.wst.xml.core 0.0.0 issue by taking the following steps:

  • Go to help
  • Install New Software: Add Name: Indigo/Eclipse 3.7: "http://download.eclipse.org/releases/indigo"
  • Select 'WST Server Adapters' under 'Web, XML, Java,..." (the last name in list)
  • Accept licensing agreement
  • Restart Eclipse
  • Resume procedure as described..